'Eudora 3.x automatic mailbox repair tool
'placed in the public domain 02/06/2002
cls
print "Eudora 3.x mailbox repair tool - 1.3 21 July 2002 - johnecarter@mindspring.com"
input "Enter name of mailbox to fix or ALL to process all mailbox files: ", okin$
if ucase$(okin$) = "YES" then 'user must verify
  fil$="*.mbx"
elseif okin$ <> "" then
  dotloc% = instr(okin$, ".")
  if dotloc% = 0 then
    fil$ = okin$ + ".mbx"
  else
    fil$ = okin$
  end if
else
  print "Program terminated"
  end
end if
k$ = dir$(fil$) 'find them all
while k$<>""
  inline = 0       'initialize line counters
  outline = 0
  inf$ = lcase$(k$)
  dotloc% = instr(inf$,".")
  savfile$ = left$(inf$,dotloc%) + "old" 'create name for backup copy
  print "Processing mailbox : ";inf$
  print inf$" will be renamed to: ";savfile$
  outf$ =  left$(inf$,dotloc%) + "fix"
  z$ = dir$(savfile$)
  if z$ <> "" then
    kill savfile$
  end if
  open inf$ for input as 1
  open outf$ for output as 2
  while eof(1) <> -1
    line input #1, x$
    incr inline
    markerloc% = instr(x$, "From ???@???") 'Eudora intermessage marker
    if markerloc% > 1 then               'if not at start of line
      print #2, left$(x$, markerloc%-1)  'split into two lines
      print #2, mid$(x$, markerloc%)
      incr outline, 2
    else
      print #2, x$
      incr outline
    end if
  wend
  close
  print "Lines in: ";inline     'if errors found, inline > outline
  print "Lines out: ";outline
  name inf$ as savfile$         'backup copy
  name outf$ as inf$            'working copy
  k$ = dir$                     'get next file
wend
print "Mailbox repair complete"

